%define with_ssl 1

Name:           loudmouth
Version:        1.2.3
Release:        2%{?dist}
Summary:        Loudmouth is a Jabber programming library written in C

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://www.imendio.com/projects/loudmouth
Source0:        http://ftp.gnome.org/pub/GNOME/sources/%{name}/%{version}/%{name}-%{version}.tar.bz2
Patch0:		%{name}-reconnect-failure.patch
Patch1:		%{name}-gnutls-compression.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  glib2-devel >= 2.4.0
BuildRequires:	gtk-doc >= 0.10
BuildRequires:	check-devel
BuildRequires:	libidn-devel

%if %{with_ssl}
BuildRequires:	gnutls-devel >= 1.0.0
%endif


%description
Loudmouth is a lightweight and easy-to-use C library for programming
with the Jabber protocol. It's designed to be easy to get started with
and yet extensible to let you do anything the Jabber protocol allows.


%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel
Requires:	libidn-devel
Requires:	pkgconfig
%if %{with_ssl}
Requires:	gnutls-devel >= 1.0.0
%endif


%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch0 -p1 -b .reconnect
%patch1 -p1 -b .gnutls

%build
%configure --enable-gtk-doc	\
	   --enable-static=no	\
%if %{with_ssl}
	   --with-ssl=gnutls
%else
	   --with-ssl=no
%endif

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc ChangeLog NEWS README COPYING
%{_libdir}/libloudmouth*.so.*


%files devel
%defattr(-,root,root,-)
%{_libdir}/libloudmouth*.so
%{_libdir}/pkgconfig/%{name}-1.0.pc
%{_includedir}/%{name}-1.0
%{_datadir}/gtk-doc/html/%{name}


%changelog
* Wed Nov 14 2007 Robert McQueen <robert.mcqueen@collabora.co.uk> - 1.2.3-2
- Add gnutls-compression.patch to negotiate DEFLATE compression if available.

* Mon Nov 12 2007 Brian Pepple <bpepple@fedoraproject.org> - 1.2.3-1
- Add reconnect-failure patch. Thanks to Robert McQueen.
- Update to 1.2.3.
- Drop stream-error patch. fixed upstream.

* Sun Aug  5 2007 Brian Pepple <bpepple@fedoraproject.org> - 1.2.2-4
- Update license tag.

* Wed May 16 2007 Brian Pepple <bpepple@fedoraproject.org> - 1.2.2-3
- Add patch to fix stream error.

* Tue May 15 2007 Brian Pepple <bpepple@fedoraproject.org> - 1.2.2-2
- Drop BR on libtasn1-devel.

* Mon May 14 2007 Brian Pepple <bpepple@fedoraproject.org> - 1.2.2-1
- Update to 1.2.2.

* Sat Feb 24 2007 Brian Pepple <bpepple@fedoraproject.org> - 1.2.1-2
- Fix typo.

* Sat Feb 24 2007 Brian Pepple <bpepple@fedoraproject.org> - 1.2.1-1
- Update to 1.2.1.

* Tue Feb 20 2007 Brian Pepple <bpepple@fedoraproject.org> - 1.2.0-3
- Add necessary requires to devel package. D'Oh!

* Tue Feb 20 2007 Brian Pepple <bpepple@fedoraproject.org> - 1.2.0-2
- Add BR on libidn-devel.
- Specify which ssl implementation to use.

* Mon Feb  5 2007 Brian Pepple <bpepple@fedoraproject.org> - 1.2.0-1
- Update to 1.2.0.
- Drop mono config option since it's been dropped from the tarball.

* Mon Sep 11 2006 Brian Pepple <bpepple@fedoraproject.org> - 1.0.5-2
- Change source to .gz.

* Mon Sep 11 2006 Brian Pepple <bpepple@fedoraproject.org> - 1.0.5-1
- Update to 1.0.5.

* Tue Aug 29 2006 Brian Pepple <bpepple@fedoraproject.org> - 1.0.4-3
- Rebuild for FC6.
- Simplify devel description.

* Thu Jun 29 2006 Brian Pepple <bpepple@fedoraproject.org> - 1.0.4-2
- Update to 1.0.4.
- Add devel requires on pkgconfig.
- Drop reentrancy patch, fixed upstream.

* Thu Jun 15 2006 Jeremy Katz <katzj@redhat.com> - 1.0.3-5
- rebuild for new gnutls

* Fri May 26 2006 Brian Pepple <bdpepple@ameritech.net> - 1.0.3-4
- Add patch to fix some reentrancy crashes.  (Thanks, Havoc)

* Wed Apr  5 2006 Brian Pepple <bdpepple@ameritech.net> - 1.0.3-3
- Update to 1.0.3.
- Add BR for gnutls-devel to devel package.
- Disable static libs.
- Add BR for check-devel.

* Thu Feb 16 2006 Brian Pepple <bdpepple@ameritech.net> - 1.0.1-6
- Remove unnecessary BR (libgcrypt-devel).

* Mon Feb 13 2006 Brian Pepple <bdpepple@ameritech.net> - 1.0.1-5
- rebuilt for new gcc4.1 snapshot and glibc changes

* Mon Dec 26 2005 Brian Pepple <bdpepple@ameritech.net> - 1.0.1-4
- Rebuild.

* Wed Aug 31 2005 Brian Pepple <bdpepple@ameritech.net> - 1.0.1-3
- Update to 1.0.1.

* Sun Aug 14 2005 Brian Pepple <bdpepple@ameritech.net> - 1.0-2
- Update to 1.0.

* Mon Aug  8 2005 Brian Pepple <bdpepple@ameritech.net> - 0.90-5
- Rebuild due to new gnutls.

* Sat Jul 30 2005 Brian Pepple <bdpepple@ameritech.net> - 0.90-4
- Fix description.

* Fri May 13 2005 Brian Pepple <bdpepple@ameritech.net> - 0.90-2
- Add dist tag.

* Fri May 13 2005 Brian Pepple <bdpepple@ameritech.net> - 0.90-1
- Update to 0.9.

* Thu May  5 2005 Brian Pepple <bdpepple@ameritech.net> - 0.17.2-3
- Adde glib2-devel requires.

* Thu May  5 2005 Brian Pepple <bdpepple@ameritech.net> - 0.17.2-2
- added %%{_includedir}.
- Add libgcrypt-devel BR.

* Sun May  1 2005 Brian Pepple <bdpepple@ameritech.net> - 0.17.2-1
- Initial Fedora build.

